set more off

use "estimation data for IO", clear

tempfile temp1 temp2
save `temp1', replace

drop if ccode>0
keep ccode parcomp xconst
drop ccode
set ob 200
gen year = (_n + 1815)
drop if year>=1914
gen british = .
gen cb_ri = .
gen ncb_ri = .
gen ncb_nri = .
gen cb_nri = .
gen cby = .
gen riy = .
gen y = .
gen cbn = .
save `temp2', replace

local y = 1816
while `y' <=(1914) {
use `temp1', clear
sum master_yield if year==`y' & ccode==200, detail
*local m = r(mean)
local m = r(p50)

sum master_yield if year==`y' & ccode~=200 & cb==1 & comp==0, detail
*local m4 = r(mean)
local m4 = r(p50)

sum master_yield if year==`y' & ccode~=200 & cb==0 & comp==0, detail
*local m5 = r(mean)
local m5 = r(p50)

sum master_yield if year==`y' & ccode~=200 & cb==1 & comp==1, detail
*local m6 = r(mean)
local m6 = r(p50)

sum master_yield if year==`y' & ccode~=200 & cb==0 & comp==1, detail
*local m7 = r(mean)
local m7 = r(p50)

sum master_yield if year==`y' & ccode~=200 & cb==1, detail
*local m8 = r(mean)
local m8 = r(p50)

sum master_yield if year==`y' & ccode~=200 & cb==0, detail
*local m8 = r(mean)
local m11 = r(p50)

sum master_yield if year==`y' & ccode~=200 & comp==1, detail
*local m9 = r(mean)
local m9 = r(p50)

sum master_yield if year==`y' & ccode~=200, detail
*local m10 = r(mean)
local m10 = r(p50)

use `temp2', clear
replace british = `m' if year==`y'
replace cb_nri =  `m4' if year==`y'
replace ncb_nri =  `m5' if year==`y'
replace cb_ri =  `m6' if year==`y'
replace ncb_ri =  `m7' if year==`y'
replace cby = `m8' if year==`y'
replace cbn = `m11' if year==`y'
replace riy = `m9' if year==`y'
replace y = `m10' if year==`y'
save `temp2', replace
local y = `y' + 1
} 

label variable british "British Consols"
label variable cb_nri "Central Bank, No Rep. Inst."
label variable cb_ri "Central Bank, Rep. Inst."
label variable ncb_nri "No Rep. Inst., No Central Bank"
label variable ncb_ri "Rep. Inst., No Central Bank"
label variable cby "w/ Central Bank"
label variable cbn "w/out Central Bank"
label variable riy "Representative Institutions"

/*
#delimit ;
twoway 
(line british year, clwidth(0.5) clpattern(dot)) 
(line cby year if ncb_nri<10 & ncb_ri<10, clwidth(0.5) clpattern(dash))
(line riy year if ncb_nri<10 & ncb_ri<10, clwidth(0.5) clpattern(solid)),
ytitle("Yield") xtitle("Year"); 

graph export "Figure1.eps", as(eps) preview(off) replace;

#delimit ;
twoway 
(line british year, clwidth(0.5) clpattern(dot)) 
(line cb_ri year if ncb_nri<10 & ncb_ri<10, clwidth(0.5) clpattern(dash)) 
(line cb_nri year if ncb_nri<10 & ncb_ri<10, clwidth(0.5) clpattern(solid)) 
(line ncb_ri year  if ncb_nri<10 & ncb_ri<10, clwidth(1) clpattern(solid)) 
(line ncb_nri year  if ncb_nri<10 & ncb_ri<10, clwidth(1) clpattern(dash)),
ytitle("Yield") xtitle("Year"); 

graph export "Figure2.eps", as(eps) preview(off) replace;
*/

#delimit ;
twoway 
(line british year, clwidth(0.5) clpattern(dot)) 
(line cby year if ncb_nri<10 & ncb_ri<10, clwidth(0.5) clpattern(dash)) 
(line cbn year if ncb_nri<10 & ncb_ri<10, clwidth(0.5) clpattern(solid)), 
ytitle("Yield") xtitle("Year"); 

graph export "Figure2.eps", as(eps) preview(off) replace;

