clear all
set more off
set obs 7

cd "C:\Users\EndUser\Dropbox\Central Banks and War\"

gen n = _n
gen n2 = _n - 0.15

gen b = -0.02 if n==1
replace b = -0.02 if n==2
replace b = -0.03 if n==3
replace b = -0.02 if n==4
replace b = -0.02 if n==5
replace b = -0.02 if n==6
replace b = -0.02 if n==7

gen CIup = 0.03 if n==1
replace CIup = 0.03 if n==2
replace CIup = 0.02 if n==3
replace CIup = 0.03 if n==4
replace CIup = 0.03 if n==5
replace CIup = 0.03 if n==6
replace CIup = 0.03 if n==7

gen CIlo = -0.07 if n==1
replace CIlo = -0.07 if n==2
replace CIlo = -0.09 if n==3
replace CIlo = -0.07 if n==4
replace CIlo = -0.07 if n==5
replace CIlo = -0.07 if n==6
replace CIlo = -0.07 if n==7

gen b2 = -0.18 if n==1
replace b2 = -0.19 if n==2
replace b2 = -0.18 if n==3
replace b2 = -0.21 if n==4
replace b2 = -0.14 if n==5
replace b2 = -0.19 if n==6
replace b2 = -0.19 if n==7

gen CIup2 = -0.07 if n==1
replace CIup2 = -0.08 if n==2
replace CIup2 = -0.06 if n==3
replace CIup2 = -0.09 if n==4
replace CIup2 = -0.03 if n==5
replace CIup2 = -0.07 if n==6
replace CIup2 = -0.08 if n==7

gen CIlo2 = -0.30 if n==1
replace CIlo2 = -0.31 if n==2
replace CIlo2 = -0.30 if n==3
replace CIlo2 = -0.33 if n==4
replace CIlo2 = -0.26 if n==5
replace CIlo2 = -0.31 if n==6
replace CIlo2 = -0.31 if n==7

label variable n "Effect (During Peace)"
label variable CIup "0.95 upper"
label variable CIlo "0.95 lower"

label variable n2 "Effect (During War)"
label variable CIup2 "0.95 upper"
label variable CIlo2 "0.95 lower"

label define nlabels 7 "UK" 6 "France" 5 "Prussia/Ger" 4 "Russia" 3 "USA" 2 "Italy" 1 "Austria"
label values n nlabels


#delimit ;

twoway 
(scatter n b, mcolor(red) msymbol(x) msize(large)) 
(scatter n2 b2, mcolor(blue) msymbol(circle) msize(small)) 
( rspike CIup CIlo n, blcolor(red) horizontal) 
( rspike CIup2 CIlo2 n2, blcolor(blue) horizontal) 
if n<10, 
xline(0) 
ytitle("Country Removed from Sample") 
xtitle("Change in Spread") 
xlabel() 
ylabel(1(1)7, val angle(45)) 
/*fysize(50)*/ 
fxsize(150);

graph export "Figure3.eps", as(eps) preview(off) replace;
