clear all
set mem 1000m
set mat 800
set more off

cd "C:\Users\EndUser\Dropbox\Central Banks and War\CB at War Replication Packet\Core Tests and Estimation Files\Datasets\"

do "C:\Users\EndUser\Dropbox\Central Banks and War\CB at War Replication Packet\Core Tests and Estimation Files\Do Files\Figure 1 Creation"

do "C:\Users\EndUser\Dropbox\Central Banks and War\CB at War Replication Packet\Core Tests and Estimation Files\Do Files\Analysis2"

estout ols fixed random xtregarfe xtregarre /*
*/ using "table 2", replace /*
*/ style(tex) varlabels(_cons Constant) label legend starl(* 0.10 ** 0.05 *** 0.01) /*
*/ cells(b(label(Coef.) star fmt(%9.2f)) se(par fmt(%9.2f))) stats(N , labels(No. of Cases )) /*
*/ title(Impact of Central Banks on Bond Spread, 1815 to 1914 \label{geddesreg}) /*
*/ mlabels(, span prefix(\multicolumn{@span}{c}{) suffix(})) /*
*/ prehead("\begin{table}\caption{@title}" "\begin{center}" /*
*/ "\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) /*
*/ prefoot(\hline) postfoot("\hline" /*
*/ "\end{tabular}" "\end{center}" "\end{table}")

estout xtfevd xtfevdar1 xtscc1 xtscc2 /*
*/ using "table 2", replace /*
*/ style(tex) varlabels(_cons Constant) label legend starl(* 0.10 ** 0.05 *** 0.01) /*
*/ cells(b(label(Coef.) star fmt(%9.2f)) se(par fmt(%9.2f))) stats(N , labels(No. of Cases )) /*
*/ title(Impact of Central Banks on Bond Spread, 1815 to 1914 \label{geddesreg}) /*
*/ mlabels(, span prefix(\multicolumn{@span}{c}{) suffix(})) /*
*/ prehead("\begin{table}\caption{@title}" "\begin{center}" /*
*/ "\begin{tabular}{l*{@M}{rr}}" "\hline") posthead(\hline) /*
*/ prefoot(\hline) postfoot("\hline" /*
*/ "\end{tabular}" "\end{center}" "\end{table}")


qui {

tempfile spreadtest
use "FZ Yield", clear

gen avg_spread_FZ= .
sum year if master_yield~=.
local min = r(min)
local max = r(max)
local y = `min'

while `y'<=(`max') {
qui sum master_yield if year==`y'
local mean1 = r(mean)
qui sum master_yield if year==`y' & ccode==220
local mean2 = r(mean)

qui sum master_yield if year==`y', detail
local median1 = r(p50)
qui sum master_yield if year==`y' & ccode==220, detail
local median2 = r(p50)

*replace avg_spread=`mean1' - `mean2' if year==`y'
replace avg_spread_FZ=`median1' - `median2' if year==`y'
local y = `y' + 1
}

rename master_yield yield2

sort ccode year
save `spreadtest', replace

use "GFD yield.dta", clear

gen avg_spread_GFD= .
sum year if master_yield~=.
local min = r(min)
local max = r(max)
local y = `min'

while `y'<=(`max') {
qui sum master_yield if year==`y'
local mean1 = r(mean)
qui sum master_yield if year==`y' & ccode==220
local mean2 = r(mean)

qui sum master_yield if year==`y', detail
local median1 = r(p50)
qui sum master_yield if year==`y' & ccode==220, detail
local median2 = r(p50)

*replace avg_spread=`mean1' - `mean2' if year==`y'
replace avg_spread_GFD=`median1' - `median2' if year==`y'
local y = `y' + 1
}

sort ccode year
merge ccode year using `spreadtest', nokeep keep(yield2 avg_spread_FZ)
drop _merge

drop if yield2==.
}

corr master_yield yield2
corr avg_spread_GFD avg_spread_FZ

